package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.BaseDeviceLedger;

/**
 * 设备台账Service接口
 * 
 * @author Yinq
 * @date 2023-09-19
 */
public interface IBaseDeviceLedgerService 
{
    /**
     * 查询设备台账
     * 
     * @param objId 设备台账主键
     * @return 设备台账
     */
    public BaseDeviceLedger selectBaseDeviceLedgerByObjId(Long objId);

    /**
     * 查询设备台账列表
     * 
     * @param baseDeviceLedger 设备台账
     * @return 设备台账集合
     */
    public List<BaseDeviceLedger> selectBaseDeviceLedgerList(BaseDeviceLedger baseDeviceLedger);

    /**
     * 新增设备台账
     * 
     * @param baseDeviceLedger 设备台账
     * @return 结果
     */
    public int insertBaseDeviceLedger(BaseDeviceLedger baseDeviceLedger);

    /**
     * 修改设备台账
     * 
     * @param baseDeviceLedger 设备台账
     * @return 结果
     */
    public int updateBaseDeviceLedger(BaseDeviceLedger baseDeviceLedger);

    /**
     * 批量删除设备台账
     * 
     * @param objIds 需要删除的设备台账主键集合
     * @return 结果
     */
    public int deleteBaseDeviceLedgerByObjIds(Long[] objIds);

    /**
     * 删除设备台账信息
     * 
     * @param objId 设备台账主键
     * @return 结果
     */
    public int deleteBaseDeviceLedgerByObjId(Long objId);

    /**
     * 获取设备编号
     * @return
     */
    public String getDeviceCode();
}
